## golang-github-alecthomas-chroma-v2 2.5.0

=== Makefile ===
.PHONY: chromad upload all

VERSION ?= $(shell git describe --tags --dirty  --always)
export GOOS ?= linux
export GOARCH ?= amd64

all: README.md tokentype_string.go

README.md: lexers/*/*.go
	./table.py

tokentype_string.go: types.go
	go generate

chromad:
	rm -f chromad
	esbuild --bundle cmd/chromad/static/index.js --minify --outfile=cmd/chromad/static/index.min.js
	esbuild --bundle cmd/chromad/static/index.css --minify --outfile=cmd/chromad/static/index.min.css
	(export CGOENABLED=0 ; cd ./cmd/chromad && go build -ldflags="-X 'main.version=$(VERSION)'" -o ../../chromad .)

upload: chromad
	scp chromad root@swapoff.org: && \
		ssh root@swapoff.org 'install -m755 ./chromad /srv/http/swapoff.org/bin && service chromad restart'

## golang-github-alecthomas-chroma-v2 2.2.0

=== debian/changelog ===
golang-github-alecthomas-chroma-v2 (2.2.0-2) unstable; urgency=medium

  * Source-only upload for migration to testing

 -- Anthony Fok <foka@debian.org>  Fri, 08 Jul 2022 05:14:47 -0600

golang-github-alecthomas-chroma-v2 (2.2.0-1) unstable; urgency=medium

  * New upstream version 2.2.0
  * Initial release for the new golang-github-alecthomas-chroma-v2 package
  * Update versioned dependencies as per go.mod
  * Rename binary packages for v2
  * Rename /usr/bin/chroma{,d} to /usr/bin/chroma{,d}-v2
    so that golang-chroma and golang-chroma-v2 may coexist
  * Update debian/copyright for v2
  * Add lexers/embedded to DH_GOLANG_INSTALL_EXTRA in debian/rules
  * Add missing licensing information of recently added files to
    debian/copyright:
     - formatters/svg/font_liberation_mono.go (OFL-1.1)
     - lexers/lexer_benchmark_test.go (Apache-2.0)
     - styles/witchhazel.go (Apache-2.0)
    Thanks to Thorsten Alteholz for catching my omissions!

 -- Anthony Fok <foka@debian.org>  Sun, 03 Jul 2022 06:24:42 -0600

golang-github-alecthomas-chroma (0.10.0-2) unstable; urgency=medium

  * Bump Standards-Version to 4.6.1 (no change)
  * Replace Built-Using field with Static-Built-Using
  * Remove dependency on go.rice which became unneeded since v0.9.1
    when chromad started using go:embed for embedding files
  * Set -ldflags to add version and date to chroma and chromad

 -- Anthony Fok <foka@debian.org>  Fri, 24 Jun 2022 04:26:41 -0600

golang-github-alecthomas-chroma (0.10.0-1) unstable; urgency=medium

  * New upstream version 0.10.0
  * debian/watch: Match only v0 so as not to fetch v2
  * Reorder fields in debian/control and debian/copyright
    as would be generated in the next dh-make-golang release after 0.6.0-1
  * Use dh-sequence-golang instead of dh-golang and --with=golang

 -- Anthony Fok <foka@debian.org>  Wed, 02 Mar 2022 22:33:27 -0700

golang-github-alecthomas-chroma (0.9.4-1) unstable; urgency=medium

  * New upstream version 0.9.4
  * Update versioned dependencies as per go.mod

 -- Anthony Fok <foka@debian.org>  Tue, 02 Nov 2021 11:33:13 -0600

golang-github-alecthomas-chroma (0.9.2-1) unstable; urgency=medium

  * New upstream version 0.9.2

 -- Anthony Fok <foka@debian.org>  Tue, 19 Oct 2021 10:15:03 -0600

golang-github-alecthomas-chroma (0.9.1-1) unstable; urgency=medium

  * New upstream version 0.9.1
  * Bump Standards-Version to 4.6.0 (no change)
  * Mark library package with "Multi-Arch: foreign"
  * Update dependencies as per go.mod and bump golang-any dependency
    to 2:1.16~ due to upstream's use of //go:embed
  * debian/rules: Install cmd/chromad/static and cmd/chromad/templates
    as they are needed by //go:embed

 -- Anthony Fok <foka@debian.org>  Sun, 19 Sep 2021 03:01:40 -0600

golang-github-alecthomas-chroma (0.8.2-3) unstable; urgency=high

  * Source-only upload for migration to testing,
    with urgency set to high hoping it would make it into bullseye.  ;-)

 -- Anthony Fok <foka@debian.org>  Wed, 10 Feb 2021 22:43:36 -0700

golang-github-alecthomas-chroma (0.8.2-2) unstable; urgency=medium

  * Rename binary package "chroma" to "golang-chroma"
    to make way for the newly packaged "chroma" game which will likely be
    a lot more popular than this tool.

 -- Anthony Fok <foka@debian.org>  Mon, 08 Feb 2021 20:34:23 -0700

golang-github-alecthomas-chroma (0.8.2-1) unstable; urgency=medium

  * New upstream version 0.8.2
  * debian/control: Change Section from devel to golang
  * Bump Standards-Version to 4.5.1 (no change)

 -- Anthony Fok <foka@debian.org>  Wed, 02 Dec 2020 00:08:43 -0700

golang-github-alecthomas-chroma (0.8.1-2) unstable; urgency=medium

  * Remove dependency on golang-gopkg-alecthomas-kingpin.v3-unstable-dev
    as Go ignores underscore-prefixed directories like _tools/
    which is the only place where the unreleased kingpin.v3 is imported.

 -- Anthony Fok <foka@debian.org>  Fri, 23 Oct 2020 04:00:25 -0600

golang-github-alecthomas-chroma (0.8.1-1) unstable; urgency=medium

  * New upstream version 0.8.1

 -- Anthony Fok <foka@debian.org>  Mon, 19 Oct 2020 19:24:19 -0600

golang-github-alecthomas-chroma (0.8.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Anthony Fok ]
  * New upstream version 0.8.0
  * Bump debhelper dependency to "Build-Depends: debhelper-compat (= 13)"

 -- Anthony Fok <foka@debian.org>  Fri, 18 Sep 2020 13:14:13 -0600

golang-github-alecthomas-chroma (0.7.3-1) unstable; urgency=medium

  * New upstream version 0.7.3
  * Update versioned dependencies as per go.mod

 -- Anthony Fok <foka@debian.org>  Mon, 25 May 2020 20:22:37 -0600

golang-github-alecthomas-chroma (0.7.2-1) unstable; urgency=medium

  * New upstream version 0.7.2

 -- Anthony Fok <foka@debian.org>  Sat, 25 Apr 2020 20:20:46 -0600

golang-github-alecthomas-chroma (0.7.1-1) unstable; urgency=medium

  * New upstream version 0.7.1
  * debian/control, debian/rules: Build cmd/chromad too
  * Use golang-rice to append resources to chromad
  * Remove 0001-Remove-MS-Windows-specific-code.patch
    as golang-github-mattn-go-colorable-dev now exists in Debian

 -- Anthony Fok <foka@debian.org>  Mon, 17 Feb 2020 05:36:14 -0700

golang-github-alecthomas-chroma (0.7.0-1) unstable; urgency=medium

  * New upstream version 0.7.0
  * debian/watch: Update filenamemangle to match source package name
  * Bump Standards-Version to 4.5.0 (no change)

 -- Anthony Fok <foka@debian.org>  Sat, 15 Feb 2020 17:29:35 -0700

golang-github-alecthomas-chroma (0.6.8-1) unstable; urgency=medium

  * New upstream version 0.6.8
  * Bump Standards-Version to 4.4.1 (no change)
  * Add "Rules-Requires-Root: no" to debian/control
  * debian/control: Add new dependencies according to go.mod
  * debian/gbp.conf: Set debian-branch to debian/sid for DEP-14 conformance
  * debian/rules: Set DH_GOLANG_EXCLUDES to cmd/chromad


=== debian/control ===
Source: golang-github-alecthomas-chroma-v2
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Anthony Fok <foka@debian.org>,
           Dr. Tobias Quathamer <toddy@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               dh-sequence-golang,
               golang-any (>= 2:1.17~),
               golang-github-alecthomas-kong-dev (>= 0.2.17),
               golang-github-alecthomas-kong-hcl-dev (>= 0.2.0),
               golang-github-danwakefield-fnmatch-dev,
               golang-github-dlclark-regexp2-dev (>= 1.4.0),
               golang-github-gorilla-csrf-dev (>= 1.6.2),
               golang-github-gorilla-handlers-dev (>= 1.4.2),
               golang-github-gorilla-mux-dev (>= 1.7.3),
               golang-github-mattn-go-colorable-dev (>= 0.1.12),
               golang-github-mattn-go-isatty-dev (>= 0.0.14),
               golang-github-stretchr-testify-dev (>= 1.7.0),
               pandoc
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-alecthomas-chroma-v2
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-alecthomas-chroma-v2.git
Homepage: https://github.com/alecthomas/chroma
XS-Go-Import-Path: github.com/alecthomas/chroma/v2

Package: golang-chroma-v2
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Static-Built-Using: ${misc:Static-Built-Using}
Description: general purpose syntax highlighter in pure Go (binaries)
 Chroma takes source code and other structured text and converts it into
 syntax highlighted HTML, ANSI-coloured text, etc.
 .
 Chroma is based heavily on Pygments (http://pygments.org/), and includes
 translators for Pygments lexers and styles.
 .
 This package contains the compiled chroma-v2 and chromad-v2 binaries.

Package: golang-github-alecthomas-chroma-v2-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-alecthomas-kong-dev (>= 0.2.17),
         golang-github-alecthomas-kong-hcl-dev (>= 0.2.0),
         golang-github-danwakefield-fnmatch-dev,
         golang-github-dlclark-regexp2-dev (>= 1.4.0),
         golang-github-gorilla-csrf-dev (>= 1.6.2),
         golang-github-gorilla-handlers-dev (>= 1.4.2),
         golang-github-gorilla-mux-dev (>= 1.7.3),
         golang-github-mattn-go-colorable-dev (>= 0.1.12),
         golang-github-mattn-go-isatty-dev (>= 0.0.14),
         golang-github-stretchr-testify-dev (>= 1.7.0),
         ${misc:Depends}
Description: general purpose syntax highlighter in pure Go (libraries)
 Chroma takes source code and other structured text and converts it into
 syntax highlighted HTML, ANSI-coloured text, etc.
 .
 Chroma is based heavily on Pygments (http://pygments.org/), and includes
 translators for Pygments lexers and styles.
 .
 This package contains Chroma's source code and helper libraries.

## golang-github-alecthomas-chroma-v2 2.3.0

=== debian/changelog ===
golang-github-alecthomas-chroma-v2 (2.3.0-2) unstable; urgency=medium

  * Acknowledge Pirate Praveen’s addition of missing build-dependency
    on golang-github-alecthomas-repr-dev in debian/changelog entry for 2.3.0-1
  * Bump dependency: golang-github-alecthomas-kong-hcl-dev (>> 0.2.0-2)
    which contains a patch that sidesteps TestHCL/FromResolver test error
    with groups.

 -- Anthony Fok <foka@debian.org>  Sun, 25 Sep 2022 05:16:40 -0600

golang-github-alecthomas-chroma-v2 (2.3.0-1) unstable; urgency=medium

  [ Pirate Praveen ]
  * Add golang-github-alecthomas-repr-dev to build-depends

  [ Anthony Fok ]
  * New upstream version 2.3.0
  * Update versioned dependencies as per go.mod, and adding
    golang-github-alecthomas-repr-dev (>= 0.1.0) to Depends too

 -- Anthony Fok <foka@debian.org>  Sun, 25 Sep 2022 01:51:15 -0600

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,8 @@
                dh-sequence-golang,
                golang-any (>= 2:1.17~),
                golang-github-alecthomas-kong-dev (>= 0.2.17),
-               golang-github-alecthomas-kong-hcl-dev (>= 0.2.0),
+               golang-github-alecthomas-kong-hcl-dev (>> 0.2.0-2),
+               golang-github-alecthomas-repr-dev (>= 0.1.0),
                golang-github-danwakefield-fnmatch-dev,
                golang-github-dlclark-regexp2-dev (>= 1.4.0),
                golang-github-gorilla-csrf-dev (>= 1.6.2),
@@ -18,7 +19,7 @@
                golang-github-gorilla-mux-dev (>= 1.7.3),
                golang-github-mattn-go-colorable-dev (>= 0.1.12),
                golang-github-mattn-go-isatty-dev (>= 0.0.14),
-               golang-github-stretchr-testify-dev (>= 1.7.0),
+               golang-github-stretchr-testify-dev (>= 1.8.0),
                pandoc
 Testsuite: autopkgtest-pkg-go
 Standards-Version: 4.6.1
@@ -45,7 +46,8 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: golang-github-alecthomas-kong-dev (>= 0.2.17),
-         golang-github-alecthomas-kong-hcl-dev (>= 0.2.0),
+         golang-github-alecthomas-kong-hcl-dev (>> 0.2.0-2),
+         golang-github-alecthomas-repr-dev (>= 0.1.0),
          golang-github-danwakefield-fnmatch-dev,
          golang-github-dlclark-regexp2-dev (>= 1.4.0),
          golang-github-gorilla-csrf-dev (>= 1.6.2),
@@ -53,7 +55,7 @@
          golang-github-gorilla-mux-dev (>= 1.7.3),
          golang-github-mattn-go-colorable-dev (>= 0.1.12),
          golang-github-mattn-go-isatty-dev (>= 0.0.14),
-         golang-github-stretchr-testify-dev (>= 1.7.0),
+         golang-github-stretchr-testify-dev (>= 1.8.0),
          ${misc:Depends}
 Description: general purpose syntax highlighter in pure Go (libraries)
  Chroma takes source code and other structured text and converts it into

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_INSTALL_EXTRA := cmd/chromad/static cmd/chromad/templates lexers/embedded

DATE_FMT := %Y-%m-%dT%H:%M:%SZ
ifdef SOURCE_DATE_EPOCH
  BUILD_DATE ?= $(shell date -u -d "@$(SOURCE_DATE_EPOCH)" "+$(DATE_FMT)" 2>/dev/null || date -u -r "$(SOURCE_DATE_EPOCH)" "+$(DATE_FMT)" 2>/dev/null || date -u "+$(DATE_FMT)")
else
  BUILD_DATE ?= $(shell date -u "+$(DATE_FMT)")
endif

VERSION := $(shell dpkg-parsechangelog -S version)
UPSTREAM_VERSION := $(word 1,$(subst -, ,$(VERSION)))
DEBIAN_REVISION := $(word 2,$(subst -, ,$(VERSION)))

LDFLAGS := -ldflags \
        '-X "main.version=$(UPSTREAM_VERSION)" \
         -X "main.commit=$(DEBIAN_REVISION)" \
         -X "main.date=$(BUILD_DATE)"'

%:
	dh $@ --builddirectory=_build --buildsystem=golang

override_dh_auto_build:
	dh_auto_build -- $(LDFLAGS)
	pandoc -s -t man debian/chroma-v2.1.md -o debian/chroma-v2.1

## golang-github-alecthomas-chroma-v2 2.4.0

=== debian/changelog ===
golang-github-alecthomas-chroma-v2 (2.4.0-1) unstable; urgency=medium

  * New upstream version 2.4.0
  * Update versioned dependencies as per go.mod:
    - Updated: golang-any (>= 2:1.19~)
    - Added:   golang-github-alecthomas-assert-dev (>= 2.2.0)
    - Removed: golang-github-stretchr-testify-dev (>= 1.8.0)
  * Bump Standards-Version to 4.6.2 (no change)
  * Add "styles" directory (with XML files) to DH_GOLANG_INSTALL_EXTRA

 -- Anthony Fok <foka@debian.org>  Wed, 25 Jan 2023 11:55:20 -0700

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,8 @@
 Build-Depends: debhelper-compat (= 13),
                dh-exec,
                dh-sequence-golang,
-               golang-any (>= 2:1.17~),
+               golang-any (>= 2:1.19~),
+               golang-github-alecthomas-assert-dev (>= 2.2.0),
                golang-github-alecthomas-kong-dev (>= 0.2.17),
                golang-github-alecthomas-kong-hcl-dev (>> 0.2.0-2),
                golang-github-alecthomas-repr-dev (>= 0.1.0),
@@ -19,10 +20,9 @@
                golang-github-gorilla-mux-dev (>= 1.7.3),
                golang-github-mattn-go-colorable-dev (>= 0.1.12),
                golang-github-mattn-go-isatty-dev (>= 0.0.14),
-               golang-github-stretchr-testify-dev (>= 1.8.0),
                pandoc
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-alecthomas-chroma-v2
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-alecthomas-chroma-v2.git
 Homepage: https://github.com/alecthomas/chroma
@@ -45,7 +45,8 @@
 Package: golang-github-alecthomas-chroma-v2-dev
 Architecture: all
 Multi-Arch: foreign
-Depends: golang-github-alecthomas-kong-dev (>= 0.2.17),
+Depends: golang-github-alecthomas-assert-dev (>= 2.2.0),
+         golang-github-alecthomas-kong-dev (>= 0.2.17),
          golang-github-alecthomas-kong-hcl-dev (>> 0.2.0-2),
          golang-github-alecthomas-repr-dev (>= 0.1.0),
          golang-github-danwakefield-fnmatch-dev,
@@ -55,7 +56,6 @@
          golang-github-gorilla-mux-dev (>= 1.7.3),
          golang-github-mattn-go-colorable-dev (>= 0.1.12),
          golang-github-mattn-go-isatty-dev (>= 0.0.14),
-         golang-github-stretchr-testify-dev (>= 1.8.0),
          ${misc:Depends}
 Description: general purpose syntax highlighter in pure Go (libraries)
  Chroma takes source code and other structured text and converts it into

## golang-github-alecthomas-chroma-v2 2.5.0

=== debian/changelog ===
golang-github-alecthomas-chroma-v2 (2.5.0-1) unstable; urgency=medium

  * New upstream version 2.5.0
  * Bump versioned dependencies as per go.mod

 -- Anthony Fok <foka@debian.org>  Wed, 08 Mar 2023 12:13:23 -0700

=== debian/control ===
--- 
+++ 
@@ -9,15 +9,15 @@
                dh-exec,
                dh-sequence-golang,
                golang-any (>= 2:1.19~),
-               golang-github-alecthomas-assert-dev (>= 2.2.0),
-               golang-github-alecthomas-kong-dev (>= 0.2.17),
-               golang-github-alecthomas-kong-hcl-dev (>> 0.2.0-2),
-               golang-github-alecthomas-repr-dev (>= 0.1.0),
+               golang-github-alecthomas-assert-dev (>= 2.2.1),
+               golang-github-alecthomas-kong-dev (>= 0.7.1),
+               golang-github-alecthomas-kong-hcl-dev (>= 1.0.1),
+               golang-github-alecthomas-repr-dev (>= 0.2.0),
                golang-github-danwakefield-fnmatch-dev,
                golang-github-dlclark-regexp2-dev (>= 1.4.0),
-               golang-github-gorilla-csrf-dev (>= 1.6.2),
-               golang-github-gorilla-handlers-dev (>= 1.4.2),
-               golang-github-gorilla-mux-dev (>= 1.7.3),
+               golang-github-gorilla-csrf-dev (>= 1.7.1),
+               golang-github-gorilla-handlers-dev (>= 1.5.1),
+               golang-github-gorilla-mux-dev (>= 1.8.0),
                golang-github-mattn-go-colorable-dev (>= 0.1.12),
                golang-github-mattn-go-isatty-dev (>= 0.0.14),
                pandoc
@@ -45,15 +45,15 @@
 Package: golang-github-alecthomas-chroma-v2-dev
 Architecture: all
 Multi-Arch: foreign
-Depends: golang-github-alecthomas-assert-dev (>= 2.2.0),
-         golang-github-alecthomas-kong-dev (>= 0.2.17),
-         golang-github-alecthomas-kong-hcl-dev (>> 0.2.0-2),
-         golang-github-alecthomas-repr-dev (>= 0.1.0),
+Depends: golang-github-alecthomas-assert-dev (>= 2.2.1),
+         golang-github-alecthomas-kong-dev (>= 0.7.1),
+         golang-github-alecthomas-kong-hcl-dev (>= 1.0.1),
+         golang-github-alecthomas-repr-dev (>= 0.2.0),
          golang-github-danwakefield-fnmatch-dev,
          golang-github-dlclark-regexp2-dev (>= 1.4.0),
-         golang-github-gorilla-csrf-dev (>= 1.6.2),
-         golang-github-gorilla-handlers-dev (>= 1.4.2),
-         golang-github-gorilla-mux-dev (>= 1.7.3),
+         golang-github-gorilla-csrf-dev (>= 1.7.1),
+         golang-github-gorilla-handlers-dev (>= 1.5.1),
+         golang-github-gorilla-mux-dev (>= 1.8.0),
          golang-github-mattn-go-colorable-dev (>= 0.1.12),
          golang-github-mattn-go-isatty-dev (>= 0.0.14),
          ${misc:Depends}

## golang-github-alecthomas-chroma-v2 2.7.0

=== debian/changelog ===
golang-github-alecthomas-chroma-v2 (2.7.0-1ubuntu0.1) mantic-security; urgency=medium

  * No change rebuild due to golang-1.20, golang-1.21 updates

 -- Nishit Majithia <nishit.majithia@canonical.com>  Mon, 22 Jan 2024 09:33:22 +0530

golang-github-alecthomas-chroma-v2 (2.7.0-1build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:14:42 +1200

golang-github-alecthomas-chroma-v2 (2.7.0-1) unstable; urgency=medium

  * New upstream version 2.7.0
  * debian/copyright: Rename styles/witchhazel.go to styles/witchhazel.xml;
    fixes Lintian superfluous-file-pattern warning
  * Add script-not-executable and unusual-interpreter Lintian overrides
    for lexers testdata

 -- Anthony Fok <foka@debian.org>  Sun, 18 Jun 2023 01:05:14 -0600

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: golang-github-alecthomas-chroma-v2
 Section: golang
 Priority: optional
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Anthony Fok <foka@debian.org>,
            Dr. Tobias Quathamer <toddy@debian.org>
 Rules-Requires-Root: no

## golang-github-alecthomas-chroma-v2 2.9.1

=== debian/changelog ===
golang-github-alecthomas-chroma-v2 (2.9.1-1) unstable; urgency=medium

  * New upstream version 2.9.1
  * Bump versioned dependencies as per go.mod,
    golang-github-dlclark-regexp2-dev (>= 1.10.0) in particular

 -- Anthony Fok <foka@debian.org>  Wed, 11 Oct 2023 15:19:18 -0600

golang-github-alecthomas-chroma-v2 (2.8.0-1) unstable; urgency=medium

  * New upstream version 2.8.0

 -- Anthony Fok <foka@debian.org>  Fri, 22 Sep 2023 08:58:37 -0600

## golang-github-alecthomas-chroma-v2 2.10.0

=== debian/changelog ===
golang-github-alecthomas-chroma-v2 (2.10.0-1) unstable; urgency=medium

  * New upstream version 2.10.0

 -- Anthony Fok <foka@debian.org>  Wed, 01 Nov 2023 02:47:54 -0600

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: golang-github-alecthomas-chroma-v2
 Section: golang
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Anthony Fok <foka@debian.org>,
            Dr. Tobias Quathamer <toddy@debian.org>
 Rules-Requires-Root: no
@@ -15,7 +14,7 @@
                golang-github-alecthomas-kong-hcl-dev (>= 1.0.1),
                golang-github-alecthomas-repr-dev (>= 0.2.0),
                golang-github-danwakefield-fnmatch-dev,
-               golang-github-dlclark-regexp2-dev (>= 1.4.0),
+               golang-github-dlclark-regexp2-dev (>= 1.10.0),
                golang-github-gorilla-csrf-dev (>= 1.7.1),
                golang-github-gorilla-handlers-dev (>= 1.5.1),
                golang-github-gorilla-mux-dev (>= 1.8.0),
@@ -51,7 +50,7 @@
          golang-github-alecthomas-kong-hcl-dev (>= 1.0.1),
          golang-github-alecthomas-repr-dev (>= 0.2.0),
          golang-github-danwakefield-fnmatch-dev,
-         golang-github-dlclark-regexp2-dev (>= 1.4.0),
+         golang-github-dlclark-regexp2-dev (>= 1.10.0),
          golang-github-gorilla-csrf-dev (>= 1.7.1),
          golang-github-gorilla-handlers-dev (>= 1.5.1),
          golang-github-gorilla-mux-dev (>= 1.8.0),

## golang-github-alecthomas-chroma-v2 2.12.0

=== debian/changelog ===
golang-github-alecthomas-chroma-v2 (2.12.0-2ubuntu0.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Tue, 24 Jun 2025 12:55:02 +1000

golang-github-alecthomas-chroma-v2 (2.12.0-2ubuntu0.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 01 Nov 2024 11:39:36 +0100

golang-github-alecthomas-chroma-v2 (2.12.0-2ubuntu0.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Tue, 16 Jul 2024 11:16:12 +0530

golang-github-alecthomas-chroma-v2 (2.12.0-2build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:13:47 +0000

golang-github-alecthomas-chroma-v2 (2.12.0-2) unstable; urgency=medium

  * Team upload
  * Cherry pick upstream patch to fix test with Go 1.22

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 24 Feb 2024 00:14:17 +0800

golang-github-alecthomas-chroma-v2 (2.12.0-1) unstable; urgency=medium

  * New upstream version 2.12.0
  * Bump versioned dependencies as per go.mod

 -- Anthony Fok <foka@debian.org>  Fri, 08 Dec 2023 23:37:10 -0700

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/@PACKAGE@-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/alecthomas/chroma/tags .*/v?(\d\S*)\.tar\.gz

## golang-github-alecthomas-chroma-v2 2.13.0

=== debian/changelog ===
golang-github-alecthomas-chroma-v2 (2.13.0-1) unstable; urgency=medium

  * New upstream version 2.13.0
  * Bump versioned dependencies as per go.mod
  * Revert "Cherry pick upstream patch to fix test with Go 1.22"
    which is part of the upstream v2.13.0 release

 -- Anthony Fok <foka@debian.org>  Sun, 24 Mar 2024 20:44:33 -0600

=== debian/control ===
--- 
+++ 
@@ -9,17 +9,17 @@
                dh-exec,
                dh-sequence-golang,
                golang-any (>= 2:1.19~),
-               golang-github-alecthomas-assert-dev (>= 2.2.1),
-               golang-github-alecthomas-kong-dev (>= 0.7.1),
+               golang-github-alecthomas-assert-dev (>= 2.6.0),
+               golang-github-alecthomas-kong-dev (>= 0.9.0),
                golang-github-alecthomas-kong-hcl-dev (>= 1.0.1),
-               golang-github-alecthomas-repr-dev (>= 0.2.0),
+               golang-github-alecthomas-repr-dev (>= 0.4.0),
                golang-github-danwakefield-fnmatch-dev,
-               golang-github-dlclark-regexp2-dev (>= 1.10.0),
-               golang-github-gorilla-csrf-dev (>= 1.7.1),
-               golang-github-gorilla-handlers-dev (>= 1.5.1),
-               golang-github-gorilla-mux-dev (>= 1.8.0),
-               golang-github-mattn-go-colorable-dev (>= 0.1.12),
-               golang-github-mattn-go-isatty-dev (>= 0.0.14),
+               golang-github-dlclark-regexp2-dev (>= 1.11.0),
+               golang-github-gorilla-csrf-dev (>= 1.7.2),
+               golang-github-gorilla-handlers-dev (>= 1.5.2),
+               golang-github-gorilla-mux-dev (>= 1.8.1),
+               golang-github-mattn-go-colorable-dev (>= 0.1.13),
+               golang-github-mattn-go-isatty-dev (>= 0.0.20),
                pandoc
 Testsuite: autopkgtest-pkg-go
 Standards-Version: 4.6.2
@@ -45,17 +45,17 @@
 Package: golang-github-alecthomas-chroma-v2-dev
 Architecture: all
 Multi-Arch: foreign
-Depends: golang-github-alecthomas-assert-dev (>= 2.2.1),
-         golang-github-alecthomas-kong-dev (>= 0.7.1),
+Depends: golang-github-alecthomas-assert-dev (>= 2.6.0),
+         golang-github-alecthomas-kong-dev (>= 0.9.0),
          golang-github-alecthomas-kong-hcl-dev (>= 1.0.1),
-         golang-github-alecthomas-repr-dev (>= 0.2.0),
+         golang-github-alecthomas-repr-dev (>= 0.4.0),
          golang-github-danwakefield-fnmatch-dev,
-         golang-github-dlclark-regexp2-dev (>= 1.10.0),
-         golang-github-gorilla-csrf-dev (>= 1.7.1),
-         golang-github-gorilla-handlers-dev (>= 1.5.1),
-         golang-github-gorilla-mux-dev (>= 1.8.0),
-         golang-github-mattn-go-colorable-dev (>= 0.1.12),
-         golang-github-mattn-go-isatty-dev (>= 0.0.14),
+         golang-github-dlclark-regexp2-dev (>= 1.11.0),
+         golang-github-gorilla-csrf-dev (>= 1.7.2),
+         golang-github-gorilla-handlers-dev (>= 1.5.2),
+         golang-github-gorilla-mux-dev (>= 1.8.1),
+         golang-github-mattn-go-colorable-dev (>= 0.1.13),
+         golang-github-mattn-go-isatty-dev (>= 0.0.20),
          ${misc:Depends}
 Description: general purpose syntax highlighter in pure Go (libraries)
  Chroma takes source code and other structured text and converts it into

## golang-github-alecthomas-chroma-v2 2.14.0

=== debian/changelog ===
golang-github-alecthomas-chroma-v2 (2.14.0-1) unstable; urgency=medium

  * New upstream version 2.14.0
  * Bump versioned dependency as per go.mod
  * Bump Standards-Version to 4.7.0 (no change)

 -- Anthony Fok <foka@debian.org>  Sun, 14 Jul 2024 06:05:20 -0600

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                dh-exec,
                dh-sequence-golang,
                golang-any (>= 2:1.19~),
-               golang-github-alecthomas-assert-dev (>= 2.6.0),
+               golang-github-alecthomas-assert-dev (>= 2.7.0),
                golang-github-alecthomas-kong-dev (>= 0.9.0),
                golang-github-alecthomas-kong-hcl-dev (>= 1.0.1),
                golang-github-alecthomas-repr-dev (>= 0.4.0),
@@ -22,7 +22,7 @@
                golang-github-mattn-go-isatty-dev (>= 0.0.20),
                pandoc
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-alecthomas-chroma-v2
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-alecthomas-chroma-v2.git
 Homepage: https://github.com/alecthomas/chroma
@@ -45,7 +45,7 @@
 Package: golang-github-alecthomas-chroma-v2-dev
 Architecture: all
 Multi-Arch: foreign
-Depends: golang-github-alecthomas-assert-dev (>= 2.6.0),
+Depends: golang-github-alecthomas-assert-dev (>= 2.7.0),
          golang-github-alecthomas-kong-dev (>= 0.9.0),
          golang-github-alecthomas-kong-hcl-dev (>= 1.0.1),
          golang-github-alecthomas-repr-dev (>= 0.4.0),

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-export DH_GOLANG_INSTALL_EXTRA := cmd/chromad/static cmd/chromad/templates lexers/embedded
+export DH_GOLANG_INSTALL_EXTRA := cmd/chromad/static cmd/chromad/templates lexers/embedded styles
 
 DATE_FMT := %Y-%m-%dT%H:%M:%SZ
 ifdef SOURCE_DATE_EPOCH

## golang-github-alecthomas-chroma-v2 2.20.0

=== Makefile ===
.PHONY: chromad upload all

VERSION ?= $(shell git describe --tags --dirty  --always)
export GOOS ?= linux
export GOARCH ?= amd64

all: README.md tokentype_string.go

README.md: lexers/*.go lexers/embedded/*.xml
	GOOS= GOARCH= ./table.py

tokentype_string.go: types.go
	go generate

.PHONY: format-js
format-js:
	biome format --write cmd/chromad/static/{index.js,chroma.js}

.PHONY: chromad
chromad: build/chromad

build/chromad: $(shell find cmd/chromad -name '*.go' -o -name '*.html' -o -name '*.css' -o -name '*.js') \
	cmd/chromad/static/wasm_exec.js \
	cmd/chromad/static/chroma.wasm
	rm -rf build
	esbuild --platform=node --bundle cmd/chromad/static/index.js --minify --outfile=cmd/chromad/static/index.min.js
	esbuild --bundle cmd/chromad/static/index.css --minify --outfile=cmd/chromad/static/index.min.css
	(export CGOENABLED=0 ; go build -C cmd/chromad -ldflags="-X 'main.version=$(VERSION)'" -o ../../build/chromad .)

cmd/chromad/static/wasm_exec.js: $(shell tinygo env TINYGOROOT)/targets/wasm_exec.js
	install -m644 $< $@

cmd/chromad/static/chroma.wasm: $(shell git ls-files | grep '\.go|\.xml')
	if type tinygo > /dev/null; then \
		tinygo build -no-debug -target wasm -o $@ cmd/libchromawasm/main.go; \
	else \
		GOOS=js GOARCH=wasm go build -o $@ cmd/libchromawasm/main.go; \
	fi

upload: build/chromad
	scp build/chromad root@swapoff.org: && \
		ssh root@swapoff.org 'install -m755 ./chromad /srv/http/swapoff.org/bin && service chromad restart'

=== debian/changelog ===
golang-github-alecthomas-chroma-v2 (2.20.0-1) unstable; urgency=medium

  * New upstream version 2.20.0
  * Update debian/watch to v5
  * Disable use of pristine-tar
  * Remove Rules-Requires-Root from d/control
  * Update Standards-Version to 4.7.2, no changes needed
  * Update d/copyright
  * Update lintian overrides with false positives

 -- Dr. Tobias Quathamer <toddy@debian.org>  Thu, 25 Sep 2025 11:39:46 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Anthony Fok <foka@debian.org>,
            Dr. Tobias Quathamer <toddy@debian.org>
-Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-exec,
                dh-sequence-golang,
@@ -22,7 +21,7 @@
                golang-github-mattn-go-isatty-dev (>= 0.0.20),
                pandoc
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-alecthomas-chroma-v2
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-alecthomas-chroma-v2.git
 Homepage: https://github.com/alecthomas/chroma

=== debian/watch ===
Version: 5

Source: https://github.com/alecthomas/chroma/tags
Matching-Pattern: .*/v?(2\S*)\.tar\.gz
Filenamemangle: auto
Uversionmangle: auto

## golang-github-alecthomas-chroma-v2 2.21.1

=== debian/changelog ===
golang-github-alecthomas-chroma-v2 (2.21.1-1) unstable; urgency=medium

  * New upstream version 2.21.1

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 20 Dec 2025 00:18:10 +0100

## golang-github-alecthomas-chroma-v2 2.23.1

=== debian/changelog ===
golang-github-alecthomas-chroma-v2 (2.23.1-1) unstable; urgency=medium

  * New upstream version 2.23.1
  * Update minimal golang version to 1.22
  * Remove Priority: optional from d/control
  * Update Standards-Version to 4.7.3

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 30 Jan 2026 13:45:53 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: golang-github-alecthomas-chroma-v2
 Section: golang
-Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Anthony Fok <foka@debian.org>,
            Dr. Tobias Quathamer <toddy@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-exec,
                dh-sequence-golang,
-               golang-any (>= 2:1.19~),
+               golang-any (>= 2:1.22~),
                golang-github-alecthomas-assert-dev (>= 2.7.0),
                golang-github-alecthomas-kong-dev (>= 0.9.0),
                golang-github-alecthomas-kong-hcl-dev (>= 1.0.1),
@@ -21,7 +20,7 @@
                golang-github-mattn-go-isatty-dev (>= 0.0.20),
                pandoc
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-alecthomas-chroma-v2
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-alecthomas-chroma-v2.git
 Homepage: https://github.com/alecthomas/chroma
